
uniform sampler2D u_texture;
uniform mediump float u_power;

varying lowp vec4 v_fragmentColor;
varying highp vec2 v_texCoord;

void main()
{
	mediump vec4 color = v_fragmentColor * texture2D(u_texture, v_texCoord);
	gl_FragColor = vec4(pow(color.xyz, vec3(u_power)), color.w);
}
